# TextDisplay | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TextDisplay

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:3

##### Index

### Constructors

constructor

### Properties

speaker?
style?
text

## Constructors

### constructor

- new TextDisplay(): TextDisplay

  #### Returns TextDisplay

## Properties

### `Optional` speaker

speaker?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:4

### `Optional` style

style?: TextStyle

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:6

### text

text: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:5